Package org.eclipse.emf.cdo.server

## Class CDOServerExporter.XML

- java.lang.Object
- - org.eclipse.emf.cdo.server.CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>
  - - org.eclipse.emf.cdo.server.CDOServerExporter.XML

- All Implemented Interfaces:
    `CDOServerExporter.XMLConstants`
  Enclosing class:
    CDOServerExporter<OUT>

      public static class CDOServerExporter.XML
      extends CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>
      implements CDOServerExporter.XMLConstants

  An `exporter` that creates XML output suitable to be interpreted by an `XML importer`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.CDOServerExporter

      `CDOServerExporter.Binary, CDOServerExporter.BinaryConstants, CDOServerExporter.Statistics, CDOServerExporter.XML, CDOServerExporter.XMLConstants`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerExporter.XMLConstants

      `BLOB, BRANCH, BRANCH_ID, BRANCH_NAME, BRANCH_PARENT, BRANCH_TIME, CLOB, COMMIT, COMMIT_BRANCH, COMMIT_COMMENT, COMMIT_PREVIOUS, COMMIT_TIME, COMMIT_USER, COMMITS, FEATURE, FEATURE_ID, FEATURE_INNER_FEATURE, FEATURE_INNER_TYPE, FEATURE_ISNULL, FEATURE_ISSET, FEATURE_NAME, FEATURE_SIZE, FEATURE_TYPE, FEATURE_VALUE, INSTANCES, LOB_ID, LOB_SIZE, LOBS, MERGE_SOURCE_BRANCH, MERGE_SOURCE_TIME, MODELS, PACKAGE_INFO, PACKAGE_INFO_URI, PACKAGE_UNIT, PACKAGE_UNIT_DATA, PACKAGE_UNIT_ID, PACKAGE_UNIT_TIME, PACKAGE_UNIT_TYPE, REPOSITORY, REPOSITORY_COMMITTED, REPOSITORY_CREATED, REPOSITORY_EXPORT_BRANCH, REPOSITORY_EXPORT_TIME, REPOSITORY_NAME, REPOSITORY_ROOT, REPOSITORY_UUID, REVISION, REVISION_CLASS, REVISION_CONTAINER, REVISION_DETACHED, REVISION_FEATURE, REVISION_ID, REVISION_RESOURCE, REVISION_REVISED, REVISION_TIME, REVISION_VERSION, TYPE_BLOB, TYPE_BYTE_ARRAY, TYPE_CLOB, TYPE_FEATURE_MAP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XML​(IRepository repository)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.eclipse.net4j.util.io.XMLOutput` | `createOutput​(java.io.OutputStream out)` |
    `protected void` | `endPackageUnit​(org.eclipse.net4j.util.io.XMLOutput out)` |
    `protected void` | `exportAll​(org.eclipse.net4j.util.io.XMLOutput out)` |
    `protected void` | `exportBranch​(org.eclipse.net4j.util.io.XMLOutput out, CDOBranch branch)` |
    `protected void` | `exportBranches​(org.eclipse.net4j.util.io.XMLOutput out)` |
    `protected void` | `exportCommit​(org.eclipse.net4j.util.io.XMLOutput out, CDOCommitInfo commitInfo)` |
    `protected void` | `exportCommits​(org.eclipse.net4j.util.io.XMLOutput out)` |
    `protected void` | `exportFeature​(org.eclipse.net4j.util.io.XMLOutput out, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value)` |
    `protected void` | `exportFeature​(org.eclipse.net4j.util.io.XMLOutput out, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.String featureType, java.lang.Object value)` |
    `protected void` | `exportLobs​(org.eclipse.net4j.util.io.XMLOutput out)` |
    `protected void` | `exportPackageInfo​(org.eclipse.net4j.util.io.XMLOutput out, java.lang.String uri)` |
    `protected void` | `exportPackages​(org.eclipse.net4j.util.io.XMLOutput out)` |
    `protected void` | `exportRevision​(org.eclipse.net4j.util.io.XMLOutput out, CDORevision revision)` |
    `protected java.io.OutputStream` | `startBlob​(org.eclipse.net4j.util.io.XMLOutput out, byte[] id, long size)` |
    `protected java.io.Writer` | `startClob​(org.eclipse.net4j.util.io.XMLOutput out, byte[] id, long size)` |
    `protected void` | `startPackageUnit​(org.eclipse.net4j.util.io.XMLOutput out, java.lang.String id, CDOPackageUnit.Type type, long time, java.lang.String data)` |
    `protected java.lang.String` | `str​(CDOID id)` |
    `protected java.lang.String` | `type​(java.lang.Object value)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerExporter

      `exportRepository, exportRevisions, getBranchPath, getRepository, getStatistics, getTimeStamp, isExportSystemPackages, setBranchPath, setExportSystemPackages, setTimeStamp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XML

          public XML​(IRepository repository)

  - ### Method Detail

    - #### createOutput

          protected final org.eclipse.net4j.util.io.XMLOutput createOutput​(java.io.OutputStream out)
                                                                    throws java.lang.Exception

      Specified by:
        `createOutput` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportAll

          protected void exportAll​(org.eclipse.net4j.util.io.XMLOutput out)
                            throws java.lang.Exception

      Overrides:
        `exportAll` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportPackages

          protected void exportPackages​(org.eclipse.net4j.util.io.XMLOutput out)
                                 throws java.lang.Exception

      Overrides:
        `exportPackages` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### startPackageUnit

          protected void startPackageUnit​(org.eclipse.net4j.util.io.XMLOutput out,
                                          java.lang.String id,
                                          CDOPackageUnit.Type type,
                                          long time,
                                          java.lang.String data)
                                   throws java.lang.Exception

      Specified by:
        `startPackageUnit` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### endPackageUnit

          protected void endPackageUnit​(org.eclipse.net4j.util.io.XMLOutput out)
                                 throws java.lang.Exception

      Specified by:
        `endPackageUnit` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportPackageInfo

          protected void exportPackageInfo​(org.eclipse.net4j.util.io.XMLOutput out,
                                           java.lang.String uri)
                                    throws java.lang.Exception

      Specified by:
        `exportPackageInfo` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportBranches

          protected void exportBranches​(org.eclipse.net4j.util.io.XMLOutput out)
                                 throws java.lang.Exception

      Overrides:
        `exportBranches` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportBranch

          protected void exportBranch​(org.eclipse.net4j.util.io.XMLOutput out,
                                      CDOBranch branch)
                               throws java.lang.Exception

      Overrides:
        `exportBranch` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportRevision

          protected void exportRevision​(org.eclipse.net4j.util.io.XMLOutput out,
                                        CDORevision revision)
                                 throws java.lang.Exception

      Specified by:
        `exportRevision` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportFeature

          protected void exportFeature​(org.eclipse.net4j.util.io.XMLOutput out,
                                       org.eclipse.emf.ecore.EStructuralFeature feature,
                                       java.lang.Object value)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### exportFeature

          protected void exportFeature​(org.eclipse.net4j.util.io.XMLOutput out,
                                       org.eclipse.emf.ecore.EStructuralFeature feature,
                                       java.lang.String featureType,
                                       java.lang.Object value)
                                throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### exportLobs

          protected void exportLobs​(org.eclipse.net4j.util.io.XMLOutput out)
                             throws java.lang.Exception

      Overrides:
        `exportLobs` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### startBlob

          protected java.io.OutputStream startBlob​(org.eclipse.net4j.util.io.XMLOutput out,
                                                   byte[] id,
                                                   long size)
                                            throws java.lang.Exception

      Specified by:
        `startBlob` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### startClob

          protected java.io.Writer startClob​(org.eclipse.net4j.util.io.XMLOutput out,
                                             byte[] id,
                                             long size)
                                      throws java.lang.Exception

      Specified by:
        `startClob` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportCommits

          protected void exportCommits​(org.eclipse.net4j.util.io.XMLOutput out)
                                throws java.lang.Exception

      Overrides:
        `exportCommits` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### exportCommit

          protected void exportCommit​(org.eclipse.net4j.util.io.XMLOutput out,
                                      CDOCommitInfo commitInfo)
                               throws java.lang.Exception

      Specified by:
        `exportCommit` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
      Throws:
        `java.lang.Exception`

    - #### str

          protected final java.lang.String str​(CDOID id)

    - #### type

          protected java.lang.String type​(java.lang.Object value)